org.apache.tinkerpop.gremlin.structure.io.graphson

## Class GraphSONTypeDeserializer

- java.lang.Object
- - TypeDeserializerBase
  - - org.apache.tinkerpop.gremlin.structure.io.graphson.GraphSONTypeDeserializer

-     public class GraphSONTypeDeserializer
      extends TypeDeserializerBase

  Contains main logic for the whole JSON to Java deserialization. Handles types embedded with the version 2.0 of GraphSON.
  Author:
    Kevin Gallardo (https://kgdo.me)

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `deserializeTypedFromAny(JsonParser jsonParser, DeserializationContext deserializationContext)`
    `Object` | `deserializeTypedFromArray(JsonParser jsonParser, DeserializationContext deserializationContext)`
    `Object` | `deserializeTypedFromObject(JsonParser jsonParser, DeserializationContext deserializationContext)`
    `Object` | `deserializeTypedFromScalar(JsonParser jsonParser, DeserializationContext deserializationContext)`
    `TypeDeserializer` | `forProperty(BeanProperty beanProperty)`
    `Class<?>` | `getDefaultImpl()`
    `TypeIdResolver` | `getTypeIdResolver()`
    `JsonTypeInfo.As` | `getTypeInclusion()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### forProperty

          public TypeDeserializer forProperty(BeanProperty beanProperty)

    - #### getTypeInclusion

          public JsonTypeInfo.As getTypeInclusion()

    - #### getTypeIdResolver

          public TypeIdResolver getTypeIdResolver()

    - #### getDefaultImpl

          public Class<?> getDefaultImpl()

    - #### deserializeTypedFromObject

          public Object deserializeTypedFromObject(JsonParser jsonParser,
                                                   DeserializationContext deserializationContext)
                                            throws IOException

      Throws:
        `IOException`

    - #### deserializeTypedFromArray

          public Object deserializeTypedFromArray(JsonParser jsonParser,
                                                  DeserializationContext deserializationContext)
                                           throws IOException

      Throws:
        `IOException`

    - #### deserializeTypedFromScalar

          public Object deserializeTypedFromScalar(JsonParser jsonParser,
                                                   DeserializationContext deserializationContext)
                                            throws IOException

      Throws:
        `IOException`

    - #### deserializeTypedFromAny

          public Object deserializeTypedFromAny(JsonParser jsonParser,
                                                DeserializationContext deserializationContext)
                                         throws IOException

      Throws:
        `IOException`

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.